Get Recent Transactions (GQL)

Note: All the Accounts API's have the endpoint: /graphql
Use this API to retrieve the Recent transactions.

Retrieves a list of recent transactions with their status, including Completed, Pending, and Rejected.

The supported values for Account Status can be found here: Account Status
Behaviour : A successful response from this API indicates that the all the recent transactions were successfully retrieved.

Body Params
ParameterDescriptionMandatoryData TypeExample
getAccountsHistoryQuery to retrieve account history.YesObject
savingsIdsList of account IDs to retrieve history for.YesArray[5084]
includeAuthorizedTxFlag to include authorized transactions.YesBooleantrue
includeRejectedAuthFlag to include rejected authorizations.YesBooleantrue
whereFilter criteria for the query.YesObject
where.startDateStart date for filtering transactions.YesDate"1990-05-01"
where.isActiveFlag to filter based on account activity status.YesBooleantrue
where.cardIdsList of card IDs to filter transactions.YesArray[]
pagePagination details for the result set.YesObject
page.limitNumber of results to return per page.YesNumber5
page.offsetOffset for pagination.YesNumber0
...getAccountTransactionFragment that specifies the fields to retrieve for account transactions.NoFragment

Fragment: getAccountTransaction

ParameterDescriptionMandatoryData TypeExample
totalTotal number of transactions.NoNumber100
limitNumber of transactions per page.NoNumber5
offsetOffset of the current page.NoNumber0
selectFields to be selected for each transaction.NoObject
select.idTransaction identifier.NoString"txn_12345"
select.amountAmount of the transaction.NoNumber100
select.typeOfType of the transaction.NoString"Deposit"
select.createdAtDate and time when the transaction was created.NoDate"2024-07-01T12:00:00Z"
select.subsidiaryAccountIdID of the subsidiary account associated with the transaction.NoString"subacc_123"
select.subsidiaryAccountDetails of the subsidiary account.NoObject
select.subsidiaryAccount.idID of the subsidiary account.NoString"subacc_123"
select.subsidiaryAccount.accountNumberAccount number of the subsidiary account.NoString"1234567890"
select.subsidiaryAccount.currencyCurrency details of the subsidiary account.NoObject
select.subsidiaryAccount.currency.idCurrency ID of the subsidiary account.NoString"USD"
select.subsidiaryAccount.currency.codeCurrency code of the subsidiary account.NoString"USD"
select.subsidiaryAccount.currency.nameCurrency name of the subsidiary account.NoString"US Dollar"
select.subsidiaryAccount.currency.displaySymbolSymbol representing the currency.NoString"$"
select.subsidiaryAccount.currency.displayLabelLabel for the currency symbol.NoString"USD"
select.subsidiaryAccount.nickNameNickname of the subsidiary account.NoString"Account 1"
select.accountDetails of the primary account associated with the transaction.NoObject
select.account.idID of the primary account.NoString"acc_123"
select.account.accountNumberAccount number of the primary account.NoString"9876543210"
select.account.nickNameNickname of the primary account.NoString"Main Checking Account"
select.account.holderAccount holder's name.NoString"John Doe"
select.account.clientIdClient ID associated with the primary account.NoString"client_456"
select.account.currencyCurrency details of the primary account.NoObject
select.account.currency.codeCurrency code of the primary account.NoString"USD"
select.account.currency.displaySymbolSymbol representing the currency of the primary account.NoString"$"
paymentDetailPayment detail associated with the transaction.NoObject
paymentDetail.idPayment detail identifier.NoString"pay_67890"
paymentDetail.referenceReference for the payment detail.NoString"reference123"
paymentDetail.paymentTypeDetails of the payment type.NoObject
paymentDetail.paymentType.idPayment type identifier.NoString"pt_123"
paymentDetail.paymentType.nameName of the payment type.NoString"ACH"
paymentDetail.creditorDetails of the creditor.NoObject
paymentDetail.creditor.nameName of the creditor.NoString"Jane Smith"
paymentDetail.creditor.identifierIdentifier of the creditor.NoString"cred_789"
paymentDetail.debtorDetails of the debtor.NoObject
paymentDetail.debtor.nameName of the debtor.NoString"John Doe"
paymentDetail.debtor.identifierIdentifier of the debtor.NoString"deb_456"
paymentDetail.merchantMerchant details related to the payment.NoString"Merchant Name"
paymentDetail.cardAuthorizationDataCard authorization details related to the payment.NoObject
paymentDetail.cardAuthorizationData.idID of the card authorization.NoString"auth_12345"
paymentDetail.cardAuthorizationData.cardDetails of the card used in the transaction.NoObject
paymentDetail.cardAuthorizationData.card.accountAccount details associated with the card.NoObject
paymentDetail.cardAuthorizationData.card.account.nickNameNickname of the card's account.NoString"Card Account"
paymentDetail.cardAuthorizationData.card.account.holderHolder's name for the card's account.NoString"Jane Doe"
paymentDetail.cardAuthorizationData.card.account.parentAccountIdParent account ID associated with the card's account.NoString"parent_acc_123"
paymentDetail.cardAuthorizationData.card.account.clientIdClient ID associated with the card's account.NoString"client_789"
transactionSubTypeSubtype of the transaction.NoString"Online Purchase"
transactionTypeType of the transaction.NoString"Purchase"
typeType of transaction.NoString"Credit"
attachmentsAttachments related to the transaction.NoArray[ "file1.pdf", "file2.jpg" ]
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!